import { Module } from '@nestjs/common';
import { ScheduleModule } from '@nestjs/schedule';
import { TypeOrmModule } from '@nestjs/typeorm';
import { TipiJobsEntity } from '../database/entities';
import { SchedulerService } from './schedule.service';

@Module({
  imports: [TypeOrmModule.forFeature([TipiJobsEntity]), ScheduleModule.forRoot()],
  providers: [SchedulerService],
  exports: [],
})
export class AppScheduleModule {}
